require "spec_helper"

describe Alparser::Branc do


  context "kozjak.org" do
    subject { Alparser.new("http://www.kozjak.org") }

    before do
      6.times { |t| stub_request(:get, /page=#{t}/)
        .to_return { request_from "kozjak_club_climbs_p#{t}" } }
    end

    it_should_behave_like "parser"

    it { expect(subject).to respond_to :club_climbs }

    context "#all_club_climbs" do
      it { expect(subject.all_club_climbs.size).to eq 216 }
    end

  end

  context "pdtam.org" do
    subject { Alparser.new("http://www.pdtam.org") }

    before do
      3.times { |t| stub_request(:get, /page=#{t}/)
        .to_return { request_from "pdtam_p#{t}" } }
    end

    context "#all_club_climbs" do
      it { expect(subject.all_club_climbs.size).to eq 100 } #?!
    end

  end

end
